Authorization: ********************{
"fullName": "John Doe",
"dob": "dob",
"gender": "bio",
"industry": "bio",
"referralCode": "string",
"questionnaire": [
{
"question": "question",
"answer": [
"answer1",
"answer2"
],
"quesNo": "quesNo",
"questionType": "questionType",
"options": [
"Option 1",
"Option 2",
"Option 3"
]
}
],
"questionnaireSkipped": [
1,
2,
3
],
"questionnaireAttempted": [
1,
2,
3
],
"personalityType": "Explorer",
"location": {
"type": "Point",
"address": "ABC XYZ",
"coordinates": [
77.1025,
28.7041
],
"country": "USA",
"state": "California",
"city": "Los Angeles",
"zipCode": "987654"
},
"plan": "FREE",
"profileStep1": true,
"profileStep2": true,
"profileStep3": true,
"foundUs": "LinkedIn"
}curl --location --request PUT '/focus-pilot/api/v1/user/profile' \
--header 'api_key;' \
--header 'deviceType;' \
--header 'deviceId;' \
--header 'timeZone;' \
--header 'language;' \
--header 'requestid;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"fullName": "John Doe",
"dob": "dob",
"gender": "bio",
"industry": "bio",
"referralCode": "string",
"questionnaire": [
{
"question": "question",
"answer": [
"answer1",
"answer2"
],
"quesNo": "quesNo",
"questionType": "questionType",
"options": [
"Option 1",
"Option 2",
"Option 3"
]
}
],
"questionnaireSkipped": [
1,
2,
3
],
"questionnaireAttempted": [
1,
2,
3
],
"personalityType": "Explorer",
"location": {
"type": "Point",
"address": "ABC XYZ",
"coordinates": [
77.1025,
28.7041
],
"country": "USA",
"state": "California",
"city": "Los Angeles",
"zipCode": "987654"
},
"plan": "FREE",
"profileStep1": true,
"profileStep2": true,
"profileStep3": true,
"foundUs": "LinkedIn"
}'